import { IDB2Session } from "../";
/**
 * DB2 server APIs
 * @class DB2
 * @export
 */
export declare class ConnectionString {
    /**
     * Build the ODBC connection string from a Session object
     * @param {IDB2Session} session Connection string values
     * @returns {string}
     * @memberof ConnectionString
     */
    static buildFromSession(session: IDB2Session): string;
    /**
     * Build the ODBC connection string
     * @param {string} hostname The name or IP address of the server to connect to
     * @param {number} port The port number where the server is listening
     * @param {string} user The user ID
     * @param {string} password The user's password
     * @param {string} database The database name to use
     * @param {string} sslFile The path to a SSL Certificate file or CA signed certificate
     * @returns {string}
     */
    static build(hostname?: string, port?: number, user?: string, password?: string, database?: string, sslFile?: string): string;
}
