import { IDB2Session } from "../rest/session/doc/IDB2Session";
import { IDB2Parameter } from "./doc/IDB2Parameter";
/**
 * Class to handle execution of SQL statements
 * @export
 * @class ExecuteSQL
 */
export declare class ExecuteSQL {
    /**
     * Connection to a DB2 region
     * @type {ibmdb.Database}
     * @memberof ExportTable
     * @private
     */
    private mConnection;
    /**
     * The connection string to use with ODBC driver
     * @type {string}
     * @memberof ExportTable
     * @private
     */
    private readonly mConnectionString;
    /**
     * Constructor
     * @param {IDB2Session} session DB2 session parameters
     */
    constructor(session: IDB2Session);
    /**
     * Execute a SQL statement
     * @param {string} sql Statement to execute
     * @param {IDB2Parameter[]} parameters Array of DB2 parameters to bind to the SQL statement
     * @returns {IterableIterator<any>}
     * @static
     * @memberof ExecuteSQL
     */
    execute(sql: string, parameters?: IDB2Parameter[]): IterableIterator<any>;
}
