import { ICommandArguments, ICommandOptionDefinition, IHandlerParameters } from "@zowe/imperative";
import { ImsSession } from "../api/rest/ImsSession";
/**
 * Utility Methods for Zowe IMS plugin
 * @export
 */
export declare class ImsSessionUtils {
    static IMS_CONNECTION_OPTION_GROUP: string;
    /**
     * Option used in profile creation and commands for hostname for IMS
     */
    static IMS_OPTION_HOST: ICommandOptionDefinition;
    /**
     * Option used in profile creation and commands for port for IMS
     */
    static IMS_OPTION_PORT: ICommandOptionDefinition;
    /**
     * Option used in profile creation and commands for hostname for IMS
     */
    static IMS_OPTION_IMS_CONNECT_HOST: ICommandOptionDefinition;
    /**
     * Option used in profile creation and commands for port for IMS
     */
    static IMS_OPTION_IMS_CONNECT_PORT: ICommandOptionDefinition;
    /**
     * Option used in profile creation and commands for port for IMS
     */
    static IMS_OPTION_PLEX: ICommandOptionDefinition;
    /**
     * Option used in profile creation and commands for username / ID  for IMS
     */
    static IMS_OPTION_USER: ICommandOptionDefinition;
    /**
     * Option used in profile creation and commands for password/passphrase for IMS
     */
    static IMS_OPTION_PASSWORD: ICommandOptionDefinition;
    /**
     * Option used in profile creation and commands for base path setting for connecting to z/OSMF
     */
    static IMS_OPTION_BASE_PATH: ICommandOptionDefinition;
    /**
     * Option used in profile creation and commands for protocol for CMCI
     */
    static IMS_OPTION_PROTOCOL: ICommandOptionDefinition;
    /**
     * Option used in profile creation and commands for rejectUnauthorized setting for connecting to IMS
     */
    static IMS_OPTION_REJECT_UNAUTHORIZED: ICommandOptionDefinition;
    /**
     * Options related to connecting to IMS
     * These options can be filled in if the user creates a profile
     */
    static IMS_CONNECTION_OPTIONS: ICommandOptionDefinition[];
    static createSessCfgFromArgs(args: ICommandArguments, doPrompting?: boolean, handlerParams?: IHandlerParameters): Promise<ImsSession>;
    static getUrl(basePath: string): any;
    /**
     * Given command line arguments, create a REST Client Session.
     * @static
     * @param {IProfile} args - The arguments specified by the user
     * @returns {Session} - A session for usage in the IMS REST Client
     */
    static createBasicImsSessionFromArguments(args: ICommandArguments): ImsSession;
    private static get log();
}
