"use strict";
/*
 * This program and the accompanying materials are made available under the terms of the
 * Eclipse Public License v2.0 which accompanies this distribution, and is available at
 * https://www.eclipse.org/legal/epl-v20.html
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Copyright Contributors to the Zowe Project.
 *
 */
const LocalFile_definition_1 = require("./local-file/LocalFile.definition");
const DataSet_definition_1 = require("./data-set/DataSet.definition");
const Stdin_definition_1 = require("./stdin/Stdin.definition");
const FTPConfig_1 = require("../../api/FTPConfig");
const SubmitDefinition = {
    name: "submit", aliases: ["sub"],
    summary: "Submit jobs from local files and data sets",
    description: "Submit jobs from local files and data sets",
    type: "group",
    children: [LocalFile_definition_1.SubmitLocalFileDefinition, DataSet_definition_1.SubmitDataSetDefinition, Stdin_definition_1.SubmitStdinDefinition],
    passOn: [
        {
            property: "options",
            value: FTPConfig_1.FTPConfig.FTP_CONNECTION_OPTIONS,
            merge: true,
            ignoreNodes: [
                { type: "group" }
            ]
        }
    ]
};
module.exports = SubmitDefinition;
//# sourceMappingURL=Submit.definition.js.map